namespace = DummyInSpot

;ログハウス・家具
;E:\DOAXVV\DummyInSpot\pier\LogHouse\Furniture\LogHouse_Furniture.blend


;-- 描画
[CommandList_LogHouse_Draw_Furniture]
if $LogHouse_IsDraw
	run = CommandList\MLC\_Resource_Save
	ps-cb2 = ref Resource_pscb2


	run = CommandList_LogHouse_Draw_Bed
	run = CommandList_LogHouse_Draw_Chair
	run = CommandList_LogHouse_Draw_Sofa
	run = CommandList_LogHouse_Draw_TableSet
	run = CommandList_LogHouse_Draw_FurnitureTest


	run = CommandList\MLC\_Resource_Restore
endif

;ベッド
;-リソース宣言
[Resource_LogHouse_Bed_01_VB]
[Resource_LogHouse_Bed_01_IB]
[Resource_LogHouse_Bed_02_VB]
[Resource_LogHouse_Bed_02_IB]
[Resource_LogHouse_Bed_03_VB]
[Resource_LogHouse_Bed_03_IB]
[Resource_LogHouse_Bed_04_VB]
[Resource_LogHouse_Bed_04_IB]
[Resource_LogHouse_Bed_05_VB]
[Resource_LogHouse_Bed_05_IB]

;-リソースクリア
[CommandList_LogHouse_Reset_Bed]
Resource_LogHouse_Bed_01_VB = null
Resource_LogHouse_Bed_01_IB = null
Resource_LogHouse_Bed_02_VB = null
Resource_LogHouse_Bed_02_IB = null
Resource_LogHouse_Bed_03_VB = null
Resource_LogHouse_Bed_03_IB = null
Resource_LogHouse_Bed_04_VB = null
Resource_LogHouse_Bed_04_IB = null
Resource_LogHouse_Bed_05_VB = null
Resource_LogHouse_Bed_05_IB = null

;-描画
[CommandList_LogHouse_Draw_Bed]
ps-cb2 = ref Resource_pscb2
run = CommandList_LogHouse_Reset_Bed

if 1
	run = CommandList_LogHouse_Draw_Bed1
else
	run = CommandList_LogHouse_Draw_Bed2
endif


;!Bed1
;- Layout1 Pos1
;-リソース設定
[CommandList_LogHouse_Layout1_Pos1_Bed1_Resource]
Resource_LogHouse_Bed_01_VB = ref Resource_LogHouse_Layout1_Pos1_Bed1_01_VB
Resource_LogHouse_Bed_01_IB = ref Resource_LogHouse_Layout1_Pos1_Bed1_01_IB
Resource_LogHouse_Bed_02_VB = ref Resource_LogHouse_Layout1_Pos1_Bed1_02_VB
Resource_LogHouse_Bed_02_IB = ref Resource_LogHouse_Layout1_Pos1_Bed1_02_IB
Resource_LogHouse_Bed_03_VB = ref Resource_LogHouse_Layout1_Pos1_Bed1_03_VB
Resource_LogHouse_Bed_03_IB = ref Resource_LogHouse_Layout1_Pos1_Bed1_03_IB
Resource_LogHouse_Bed_04_VB = ref Resource_LogHouse_Layout1_Pos1_Bed1_04_VB
Resource_LogHouse_Bed_04_IB = ref Resource_LogHouse_Layout1_Pos1_Bed1_04_IB
Resource_LogHouse_Bed_05_VB = ref Resource_LogHouse_Layout1_Pos1_Bed1_05_VB
Resource_LogHouse_Bed_05_IB = ref Resource_LogHouse_Layout1_Pos1_Bed1_05_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos1_Bed1_01_VB]
filename = Layout1\Pos1\Furniture\Bed1\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_Bed1_01_IB]
filename = Layout1\Pos1\Furniture\Bed1\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos1_Bed1_02_VB]
filename = Layout1\Pos1\Furniture\Bed1\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_Bed1_02_IB]
filename = Layout1\Pos1\Furniture\Bed1\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos1_Bed1_03_VB]
filename = Layout1\Pos1\Furniture\Bed1\03.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_Bed1_03_IB]
filename = Layout1\Pos1\Furniture\Bed1\03.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos1_Bed1_04_VB]
filename = Layout1\Pos1\Furniture\Bed1\04.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_Bed1_04_IB]
filename = Layout1\Pos1\Furniture\Bed1\04.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos1_Bed1_05_VB]
filename = Layout1\Pos1\Furniture\Bed1\05.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_Bed1_05_IB]
filename = Layout1\Pos1\Furniture\Bed1\05.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT

;- Layout1 Pos2
;-リソース設定
[CommandList_LogHouse_Layout1_Pos2_Bed1_Resource]
Resource_LogHouse_Bed_01_VB = ref Resource_LogHouse_Layout1_Pos2_Bed1_01_VB
Resource_LogHouse_Bed_01_IB = ref Resource_LogHouse_Layout1_Pos2_Bed1_01_IB
Resource_LogHouse_Bed_02_VB = ref Resource_LogHouse_Layout1_Pos2_Bed1_02_VB
Resource_LogHouse_Bed_02_IB = ref Resource_LogHouse_Layout1_Pos2_Bed1_02_IB
Resource_LogHouse_Bed_03_VB = ref Resource_LogHouse_Layout1_Pos2_Bed1_03_VB
Resource_LogHouse_Bed_03_IB = ref Resource_LogHouse_Layout1_Pos2_Bed1_03_IB
Resource_LogHouse_Bed_04_VB = ref Resource_LogHouse_Layout1_Pos2_Bed1_04_VB
Resource_LogHouse_Bed_04_IB = ref Resource_LogHouse_Layout1_Pos2_Bed1_04_IB
Resource_LogHouse_Bed_05_VB = ref Resource_LogHouse_Layout1_Pos2_Bed1_05_VB
Resource_LogHouse_Bed_05_IB = ref Resource_LogHouse_Layout1_Pos2_Bed1_05_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos2_Bed1_01_VB]
filename = Layout1\Pos2\Furniture\Bed1\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_Bed1_01_IB]
filename = Layout1\Pos2\Furniture\Bed1\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos2_Bed1_02_VB]
filename = Layout1\Pos2\Furniture\Bed1\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_Bed1_02_IB]
filename = Layout1\Pos2\Furniture\Bed1\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos2_Bed1_03_VB]
filename = Layout1\Pos2\Furniture\Bed1\03.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_Bed1_03_IB]
filename = Layout1\Pos2\Furniture\Bed1\03.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos2_Bed1_04_VB]
filename = Layout1\Pos2\Furniture\Bed1\04.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_Bed1_04_IB]
filename = Layout1\Pos2\Furniture\Bed1\04.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos2_Bed1_05_VB]
filename = Layout1\Pos2\Furniture\Bed1\05.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_Bed1_05_IB]
filename = Layout1\Pos2\Furniture\Bed1\05.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT

;- Layout1 Pos3
;-リソース設定
[CommandList_LogHouse_Layout1_Pos3_Bed1_Resource]
Resource_LogHouse_Bed_01_VB = ref Resource_LogHouse_Layout1_Pos3_Bed1_01_VB
Resource_LogHouse_Bed_01_IB = ref Resource_LogHouse_Layout1_Pos3_Bed1_01_IB
Resource_LogHouse_Bed_02_VB = ref Resource_LogHouse_Layout1_Pos3_Bed1_02_VB
Resource_LogHouse_Bed_02_IB = ref Resource_LogHouse_Layout1_Pos3_Bed1_02_IB
Resource_LogHouse_Bed_03_VB = ref Resource_LogHouse_Layout1_Pos3_Bed1_03_VB
Resource_LogHouse_Bed_03_IB = ref Resource_LogHouse_Layout1_Pos3_Bed1_03_IB
Resource_LogHouse_Bed_04_VB = ref Resource_LogHouse_Layout1_Pos3_Bed1_04_VB
Resource_LogHouse_Bed_04_IB = ref Resource_LogHouse_Layout1_Pos3_Bed1_04_IB
Resource_LogHouse_Bed_05_VB = ref Resource_LogHouse_Layout1_Pos3_Bed1_05_VB
Resource_LogHouse_Bed_05_IB = ref Resource_LogHouse_Layout1_Pos3_Bed1_05_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos3_Bed1_01_VB]
filename = Layout1\Pos3\Furniture\Bed1\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_Bed1_01_IB]
filename = Layout1\Pos3\Furniture\Bed1\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos3_Bed1_02_VB]
filename = Layout1\Pos3\Furniture\Bed1\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_Bed1_02_IB]
filename = Layout1\Pos3\Furniture\Bed1\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos3_Bed1_03_VB]
filename = Layout1\Pos3\Furniture\Bed1\03.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_Bed1_03_IB]
filename = Layout1\Pos3\Furniture\Bed1\03.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos3_Bed1_04_VB]
filename = Layout1\Pos3\Furniture\Bed1\04.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_Bed1_04_IB]
filename = Layout1\Pos3\Furniture\Bed1\04.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos3_Bed1_05_VB]
filename = Layout1\Pos3\Furniture\Bed1\05.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_Bed1_05_IB]
filename = Layout1\Pos3\Furniture\Bed1\05.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT

;- Layout1 Pos4
;-リソース設定
[CommandList_LogHouse_Layout1_Pos4_Bed1_Resource]
Resource_LogHouse_Bed_01_VB = ref Resource_LogHouse_Layout1_Pos4_Bed1_01_VB
Resource_LogHouse_Bed_01_IB = ref Resource_LogHouse_Layout1_Pos4_Bed1_01_IB
Resource_LogHouse_Bed_02_VB = ref Resource_LogHouse_Layout1_Pos4_Bed1_02_VB
Resource_LogHouse_Bed_02_IB = ref Resource_LogHouse_Layout1_Pos4_Bed1_02_IB
Resource_LogHouse_Bed_03_VB = ref Resource_LogHouse_Layout1_Pos4_Bed1_03_VB
Resource_LogHouse_Bed_03_IB = ref Resource_LogHouse_Layout1_Pos4_Bed1_03_IB
Resource_LogHouse_Bed_04_VB = ref Resource_LogHouse_Layout1_Pos4_Bed1_04_VB
Resource_LogHouse_Bed_04_IB = ref Resource_LogHouse_Layout1_Pos4_Bed1_04_IB
Resource_LogHouse_Bed_05_VB = ref Resource_LogHouse_Layout1_Pos4_Bed1_05_VB
Resource_LogHouse_Bed_05_IB = ref Resource_LogHouse_Layout1_Pos4_Bed1_05_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos4_Bed1_01_VB]
filename = Layout1\Pos4\Furniture\Bed1\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos4_Bed1_01_IB]
filename = Layout1\Pos4\Furniture\Bed1\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos4_Bed1_02_VB]
filename = Layout1\Pos4\Furniture\Bed1\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos4_Bed1_02_IB]
filename = Layout1\Pos4\Furniture\Bed1\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos4_Bed1_03_VB]
filename = Layout1\Pos4\Furniture\Bed1\03.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos4_Bed1_03_IB]
filename = Layout1\Pos4\Furniture\Bed1\03.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos4_Bed1_04_VB]
filename = Layout1\Pos4\Furniture\Bed1\04.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos4_Bed1_04_IB]
filename = Layout1\Pos4\Furniture\Bed1\04.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos4_Bed1_05_VB]
filename = Layout1\Pos4\Furniture\Bed1\05.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos4_Bed1_05_IB]
filename = Layout1\Pos4\Furniture\Bed1\05.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT

;描画
[CommandList_LogHouse_Draw_Bed1]
if $LogHouse_LayoutType == $c_LayoutType_OnFloor
	if $LogHouse_OnFloorPosition == 1
		run = CommandList_LogHouse_Layout1_Pos1_Bed1_Resource
	elif $LogHouse_OnFloorPosition == 2
		run = CommandList_LogHouse_Layout1_Pos2_Bed1_Resource
	elif $LogHouse_OnFloorPosition == 3
		run = CommandList_LogHouse_Layout1_Pos3_Bed1_Resource
	elif $LogHouse_OnFloorPosition == 4
		run = CommandList_LogHouse_Layout1_Pos4_Bed1_Resource
	endif
endif


ps-t0 = ref Resource_LogHouse_Cloth_Blanket_Tex0
ps-t1 = ref Resource_LogHouse_Cloth_Blanket_Tex1
ps-cb2 = ref Resource_LogHouse_Cloth_Blanket_pscb2
vb0 = ref Resource_LogHouse_Bed_01_VB
ib = ref Resource_LogHouse_Bed_01_IB
run = CommandList_LogHouse_Draw

ps-t0 = ref Resource_LogHouse_Cloth_BedMat_Tex0
ps-t1 = ref Resource_LogHouse_Cloth_BedMat_Tex1
ps-cb2 = ref Resource_LogHouse_Cloth_BedMat_pscb2
vb0 = ref Resource_LogHouse_Bed_02_VB
ib = ref Resource_LogHouse_Bed_02_IB
run = CommandList_LogHouse_Draw

ps-t0 = ref Resource_LogHouse_Cloth_Pillow_Tex0
ps-t1 = ref Resource_LogHouse_Cloth_Pillow_Tex1
ps-cb2 = ref Resource_LogHouse_Cloth_Pillow_pscb2
vb0 = ref Resource_LogHouse_Bed_03_VB
ib = ref Resource_LogHouse_Bed_03_IB
run = CommandList_LogHouse_Draw

ps-t0 = ref Resource_LogHouse_Wood_Mokume9_Tex0
ps-t1 = ref Resource_LogHouse_Wood_Mokume9_Tex1
ps-cb2 = ref Resource_LogHouse_Wood_Mokume1_pscb2
vb0 = ref Resource_LogHouse_Bed_04_VB
ib = ref Resource_LogHouse_Bed_04_IB
run = CommandList_LogHouse_Draw

ps-t0 = ref Resource_LogHouse_Wood_Mokume1_Tex0
ps-t1 = ref Resource_LogHouse_Wood_Mokume1_Tex1
ps-cb2 = ref Resource_LogHouse_Wood_Mokume1_pscb2
vb0 = ref Resource_LogHouse_Bed_05_VB
ib = ref Resource_LogHouse_Bed_05_IB
run = CommandList_LogHouse_Draw


;!Bed2
;- Layout1 Pos1
;-リソース設定
[CommandList_LogHouse_Layout1_Pos1_Bed2_Resource]
Resource_LogHouse_Bed_01_VB = ref Resource_LogHouse_Layout1_Pos1_Bed2_01_VB
Resource_LogHouse_Bed_01_IB = ref Resource_LogHouse_Layout1_Pos1_Bed2_01_IB
Resource_LogHouse_Bed_02_VB = ref Resource_LogHouse_Layout1_Pos1_Bed2_02_VB
Resource_LogHouse_Bed_02_IB = ref Resource_LogHouse_Layout1_Pos1_Bed2_02_IB
Resource_LogHouse_Bed_03_VB = ref Resource_LogHouse_Layout1_Pos1_Bed2_03_VB
Resource_LogHouse_Bed_03_IB = ref Resource_LogHouse_Layout1_Pos1_Bed2_03_IB
Resource_LogHouse_Bed_04_VB = ref Resource_LogHouse_Layout1_Pos1_Bed2_04_VB
Resource_LogHouse_Bed_04_IB = ref Resource_LogHouse_Layout1_Pos1_Bed2_04_IB
Resource_LogHouse_Bed_05_VB = ref Resource_LogHouse_Layout1_Pos1_Bed2_05_VB
Resource_LogHouse_Bed_05_IB = ref Resource_LogHouse_Layout1_Pos1_Bed2_05_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos1_Bed2_01_VB]
filename = Layout1\Pos1\Furniture\Bed2\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_Bed2_01_IB]
filename = Layout1\Pos1\Furniture\Bed2\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos1_Bed2_02_VB]
filename = Layout1\Pos1\Furniture\Bed2\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_Bed2_02_IB]
filename = Layout1\Pos1\Furniture\Bed2\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos1_Bed2_03_VB]
filename = Layout1\Pos1\Furniture\Bed2\03.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_Bed2_03_IB]
filename = Layout1\Pos1\Furniture\Bed2\03.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos1_Bed2_04_VB]
filename = Layout1\Pos1\Furniture\Bed2\04.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_Bed2_04_IB]
filename = Layout1\Pos1\Furniture\Bed2\04.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos1_Bed2_05_VB]
filename = Layout1\Pos1\Furniture\Bed2\05.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_Bed2_05_IB]
filename = Layout1\Pos1\Furniture\Bed2\05.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT

;- Layout1 Pos2
;-リソース設定
[CommandList_LogHouse_Layout1_Pos2_Bed2_Resource]
Resource_LogHouse_Bed_01_VB = ref Resource_LogHouse_Layout1_Pos2_Bed2_01_VB
Resource_LogHouse_Bed_01_IB = ref Resource_LogHouse_Layout1_Pos2_Bed2_01_IB
Resource_LogHouse_Bed_02_VB = ref Resource_LogHouse_Layout1_Pos2_Bed2_02_VB
Resource_LogHouse_Bed_02_IB = ref Resource_LogHouse_Layout1_Pos2_Bed2_02_IB
Resource_LogHouse_Bed_03_VB = ref Resource_LogHouse_Layout1_Pos2_Bed2_03_VB
Resource_LogHouse_Bed_03_IB = ref Resource_LogHouse_Layout1_Pos2_Bed2_03_IB
Resource_LogHouse_Bed_04_VB = ref Resource_LogHouse_Layout1_Pos2_Bed2_04_VB
Resource_LogHouse_Bed_04_IB = ref Resource_LogHouse_Layout1_Pos2_Bed2_04_IB
Resource_LogHouse_Bed_05_VB = ref Resource_LogHouse_Layout1_Pos2_Bed2_05_VB
Resource_LogHouse_Bed_05_IB = ref Resource_LogHouse_Layout1_Pos2_Bed2_05_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos2_Bed2_01_VB]
filename = Layout1\Pos2\Furniture\Bed2\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_Bed2_01_IB]
filename = Layout1\Pos2\Furniture\Bed2\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos2_Bed2_02_VB]
filename = Layout1\Pos2\Furniture\Bed2\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_Bed2_02_IB]
filename = Layout1\Pos2\Furniture\Bed2\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos2_Bed2_03_VB]
filename = Layout1\Pos2\Furniture\Bed2\03.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_Bed2_03_IB]
filename = Layout1\Pos2\Furniture\Bed2\03.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos2_Bed2_04_VB]
filename = Layout1\Pos2\Furniture\Bed2\04.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_Bed2_04_IB]
filename = Layout1\Pos2\Furniture\Bed2\04.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos2_Bed2_05_VB]
filename = Layout1\Pos2\Furniture\Bed2\05.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_Bed2_05_IB]
filename = Layout1\Pos2\Furniture\Bed2\05.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT

;- Layout1 Pos3
;-リソース設定
[CommandList_LogHouse_Layout1_Pos3_Bed2_Resource]
Resource_LogHouse_Bed_01_VB = ref Resource_LogHouse_Layout1_Pos3_Bed2_01_VB
Resource_LogHouse_Bed_01_IB = ref Resource_LogHouse_Layout1_Pos3_Bed2_01_IB
Resource_LogHouse_Bed_02_VB = ref Resource_LogHouse_Layout1_Pos3_Bed2_02_VB
Resource_LogHouse_Bed_02_IB = ref Resource_LogHouse_Layout1_Pos3_Bed2_02_IB
Resource_LogHouse_Bed_03_VB = ref Resource_LogHouse_Layout1_Pos3_Bed2_03_VB
Resource_LogHouse_Bed_03_IB = ref Resource_LogHouse_Layout1_Pos3_Bed2_03_IB
Resource_LogHouse_Bed_04_VB = ref Resource_LogHouse_Layout1_Pos3_Bed2_04_VB
Resource_LogHouse_Bed_04_IB = ref Resource_LogHouse_Layout1_Pos3_Bed2_04_IB
Resource_LogHouse_Bed_05_VB = ref Resource_LogHouse_Layout1_Pos3_Bed2_05_VB
Resource_LogHouse_Bed_05_IB = ref Resource_LogHouse_Layout1_Pos3_Bed2_05_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos3_Bed2_01_VB]
filename = Layout1\Pos3\Furniture\Bed2\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_Bed2_01_IB]
filename = Layout1\Pos3\Furniture\Bed2\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos3_Bed2_02_VB]
filename = Layout1\Pos3\Furniture\Bed2\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_Bed2_02_IB]
filename = Layout1\Pos3\Furniture\Bed2\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos3_Bed2_03_VB]
filename = Layout1\Pos3\Furniture\Bed2\03.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_Bed2_03_IB]
filename = Layout1\Pos3\Furniture\Bed2\03.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos3_Bed2_04_VB]
filename = Layout1\Pos3\Furniture\Bed2\04.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_Bed2_04_IB]
filename = Layout1\Pos3\Furniture\Bed2\04.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos3_Bed2_05_VB]
filename = Layout1\Pos3\Furniture\Bed2\05.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_Bed2_05_IB]
filename = Layout1\Pos3\Furniture\Bed2\05.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT

;- Layout1 Pos4(未)
;-リソース設定
[CommandList_LogHouse_Layout1_Pos4_Bed2_Resource]

;描画
[CommandList_LogHouse_Draw_Bed2]
if $LogHouse_LayoutType == $c_LayoutType_OnFloor
	if $LogHouse_OnFloorPosition == 1
		run = CommandList_LogHouse_Layout1_Pos1_Bed2_Resource
	elif $LogHouse_OnFloorPosition == 2
		run = CommandList_LogHouse_Layout1_Pos2_Bed2_Resource
	elif $LogHouse_OnFloorPosition == 3
		run = CommandList_LogHouse_Layout1_Pos3_Bed2_Resource
	elif $LogHouse_OnFloorPosition == 4
		run = CommandList_LogHouse_Layout1_Pos4_Bed2_Resource
	endif
endif

ps-t0 = ref Resource_LogHouse_Cloth_Blanket_Tex0
ps-t1 = ref Resource_LogHouse_Cloth_Blanket_Tex1
ps-cb2 = ref Resource_LogHouse_Cloth_Blanket_pscb2
vb0 = ref Resource_LogHouse_Bed_01_VB
ib = ref Resource_LogHouse_Bed_01_IB
run = CommandList_LogHouse_Draw

ps-t0 = ref Resource_LogHouse_Cloth_BedMat_Tex0
ps-t1 = ref Resource_LogHouse_Cloth_BedMat_Tex1
ps-cb2 = ref Resource_LogHouse_Cloth_BedMat_pscb2
vb0 = ref Resource_LogHouse_Bed_02_VB
ib = ref Resource_LogHouse_Bed_02_IB
run = CommandList_LogHouse_Draw

ps-t0 = ref Resource_LogHouse_Cloth_Pillow_Tex0
ps-t1 = ref Resource_LogHouse_Cloth_Pillow_Tex1
ps-cb2 = ref Resource_LogHouse_Cloth_Pillow_pscb2
vb0 = ref Resource_LogHouse_Bed_03_VB
ib = ref Resource_LogHouse_Bed_03_IB
run = CommandList_LogHouse_Draw

ps-t0 = ref Resource_LogHouse_Wood_Mokume10_Tex0
ps-t1 = ref Resource_LogHouse_Wood_Mokume10_Tex1
ps-cb2 = ref Resource_LogHouse_Wood_Mokume10_pscb2
vb0 = ref Resource_LogHouse_Bed_04_VB
ib = ref Resource_LogHouse_Bed_04_IB
run = CommandList_LogHouse_Draw

ps-t0 = ref Resource_LogHouse_Wood_Mokume11_Tex0
ps-t1 = ref Resource_LogHouse_Wood_Mokume11_Tex1
ps-cb2 = ref Resource_LogHouse_Wood_Mokume11_pscb2
vb0 = ref Resource_LogHouse_Bed_05_VB
ib = ref Resource_LogHouse_Bed_05_IB
run = CommandList_LogHouse_Draw



;椅子
;-リソース宣言
[Resource_LogHouse_Chair_01_VB]
[Resource_LogHouse_Chair_01_IB]
[Resource_LogHouse_Chair_02_VB]
[Resource_LogHouse_Chair_02_IB]

;-リソースクリア
[CommandList_LogHouse_Reset_Chair]
Resource_LogHouse_Chair_01_VB = null
Resource_LogHouse_Chair_01_IB = null
Resource_LogHouse_Chair_02_VB = null
Resource_LogHouse_Chair_02_IB = null

;-描画
[CommandList_LogHouse_Draw_Chair]
ps-cb2 = ref Resource_pscb2
run = CommandList_LogHouse_Reset_Chair

run = CommandList_LogHouse_Draw_Chair1


;!Chair1(ロッキングチェア)
;- Layout1 Pos1
;-リソース設定
[CommandList_LogHouse_Layout1_Pos1_Chair1_Resource]
Resource_LogHouse_Chair_01_VB = ref Resource_LogHouse_Layout1_Pos1_Chair1_01_VB
Resource_LogHouse_Chair_01_IB = ref Resource_LogHouse_Layout1_Pos1_Chair1_01_IB
Resource_LogHouse_Chair_02_VB = ref Resource_LogHouse_Layout1_Pos1_Chair1_02_VB
Resource_LogHouse_Chair_02_IB = ref Resource_LogHouse_Layout1_Pos1_Chair1_02_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos1_Chair1_01_VB]
filename = Layout1\Pos1\Furniture\Chair1\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_Chair1_01_IB]
filename = Layout1\Pos1\Furniture\Chair1\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos1_Chair1_02_VB]
filename = Layout1\Pos1\Furniture\Chair1\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_Chair1_02_IB]
filename = Layout1\Pos1\Furniture\Chair1\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT


;- Layout1 Pos2
;-リソース設定
[CommandList_LogHouse_Layout1_Pos2_Chair1_Resource]
Resource_LogHouse_Chair_01_VB = ref Resource_LogHouse_Layout1_Pos2_Chair1_01_VB
Resource_LogHouse_Chair_01_IB = ref Resource_LogHouse_Layout1_Pos2_Chair1_01_IB
Resource_LogHouse_Chair_02_VB = ref Resource_LogHouse_Layout1_Pos2_Chair1_02_VB
Resource_LogHouse_Chair_02_IB = ref Resource_LogHouse_Layout1_Pos2_Chair1_02_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos2_Chair1_01_VB]
filename = Layout1\Pos2\Furniture\Chair1\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_Chair1_01_IB]
filename = Layout1\Pos2\Furniture\Chair1\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos2_Chair1_02_VB]
filename = Layout1\Pos2\Furniture\Chair1\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_Chair1_02_IB]
filename = Layout1\Pos2\Furniture\Chair1\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT


;- Layout1 Pos3
;-リソース設定
[CommandList_LogHouse_Layout1_Pos3_Chair1_Resource]
Resource_LogHouse_Chair_01_VB = ref Resource_LogHouse_Layout1_Pos3_Chair1_01_VB
Resource_LogHouse_Chair_01_IB = ref Resource_LogHouse_Layout1_Pos3_Chair1_01_IB
Resource_LogHouse_Chair_02_VB = ref Resource_LogHouse_Layout1_Pos3_Chair1_02_VB
Resource_LogHouse_Chair_02_IB = ref Resource_LogHouse_Layout1_Pos3_Chair1_02_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos3_Chair1_01_VB]
filename = Layout1\Pos3\Furniture\Chair1\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_Chair1_01_IB]
filename = Layout1\Pos3\Furniture\Chair1\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos3_Chair1_02_VB]
filename = Layout1\Pos3\Furniture\Chair1\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_Chair1_02_IB]
filename = Layout1\Pos3\Furniture\Chair1\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT


;- Layout1 Pos4
;-リソース設定
[CommandList_LogHouse_Layout1_Pos4_Chair1_Resource]
Resource_LogHouse_Chair_01_VB = ref Resource_LogHouse_Layout1_Pos4_Chair1_01_VB
Resource_LogHouse_Chair_01_IB = ref Resource_LogHouse_Layout1_Pos4_Chair1_01_IB
Resource_LogHouse_Chair_02_VB = ref Resource_LogHouse_Layout1_Pos4_Chair1_02_VB
Resource_LogHouse_Chair_02_IB = ref Resource_LogHouse_Layout1_Pos4_Chair1_02_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos4_Chair1_01_VB]
filename = Layout1\Pos4\Furniture\Chair1\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos4_Chair1_01_IB]
filename = Layout1\Pos4\Furniture\Chair1\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos4_Chair1_02_VB]
filename = Layout1\Pos4\Furniture\Chair1\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos4_Chair1_02_IB]
filename = Layout1\Pos4\Furniture\Chair1\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT



;描画
[CommandList_LogHouse_Draw_Chair1]
if $LogHouse_LayoutType == $c_LayoutType_OnFloor
	if $LogHouse_OnFloorPosition == 1
		run = CommandList_LogHouse_Layout1_Pos1_Chair1_Resource
	elif $LogHouse_OnFloorPosition == 2
		run = CommandList_LogHouse_Layout1_Pos2_Chair1_Resource
	elif $LogHouse_OnFloorPosition == 3
		run = CommandList_LogHouse_Layout1_Pos3_Chair1_Resource
	elif $LogHouse_OnFloorPosition == 4
		run = CommandList_LogHouse_Layout1_Pos4_Chair1_Resource
	endif
endif

ps-t0 = ref Resource_LogHouse_Wood_Mokume9_Tex0
ps-t1 = ref Resource_LogHouse_Wood_Mokume9_Tex1
ps-cb2 = ref Resource_LogHouse_Wood_Mokume1_pscb2
;ps-cb2 = ref Resource_pscb2
vb0 = ref Resource_LogHouse_Chair_01_VB
ib = ref Resource_LogHouse_Chair_01_IB
run = CommandList_LogHouse_Draw

run = CommandList_LogHouse_SofaFabric_Tex
vb0 = ref Resource_LogHouse_Chair_02_VB
ib = ref Resource_LogHouse_Chair_02_IB
run = CommandList_LogHouse_Draw




;ソファ
;-リソース宣言
[Resource_LogHouse_Sofa_01_VB]
[Resource_LogHouse_Sofa_01_IB]
[Resource_LogHouse_Sofa_02_VB]
[Resource_LogHouse_Sofa_02_IB]
[Resource_LogHouse_Sofa_03_VB]
[Resource_LogHouse_Sofa_03_IB]

;-リソースクリア
[CommandList_LogHouse_Reset_Sofa]
Resource_LogHouse_Sofa_01_VB = null
Resource_LogHouse_Sofa_01_IB = null
Resource_LogHouse_Sofa_02_VB = null
Resource_LogHouse_Sofa_02_IB = null
Resource_LogHouse_Sofa_03_VB = null
Resource_LogHouse_Sofa_03_IB = null

;-描画
[CommandList_LogHouse_Draw_Sofa]
ps-cb2 = ref Resource_pscb2
run = CommandList_LogHouse_Reset_Sofa

run = CommandList_LogHouse_Draw_Sofa1


;!Sofa1
;- Layout1 Pos1
;-リソース設定
[CommandList_LogHouse_Layout1_Pos1_Sofa1_Resource]
Resource_LogHouse_Sofa_01_VB = ref Resource_LogHouse_Layout1_Pos1_Sofa1_01_VB
Resource_LogHouse_Sofa_01_IB = ref Resource_LogHouse_Layout1_Pos1_Sofa1_01_IB
Resource_LogHouse_Sofa_02_VB = ref Resource_LogHouse_Layout1_Pos1_Sofa1_02_VB
Resource_LogHouse_Sofa_02_IB = ref Resource_LogHouse_Layout1_Pos1_Sofa1_02_IB
Resource_LogHouse_Sofa_03_VB = ref Resource_LogHouse_Layout1_Pos1_Sofa1_03_VB
Resource_LogHouse_Sofa_03_IB = ref Resource_LogHouse_Layout1_Pos1_Sofa1_03_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos1_Sofa1_01_VB]
filename = Layout1\Pos1\Furniture\Sofa1\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_Sofa1_01_IB]
filename = Layout1\Pos1\Furniture\Sofa1\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos1_Sofa1_02_VB]
filename = Layout1\Pos1\Furniture\Sofa1\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_Sofa1_02_IB]
filename = Layout1\Pos1\Furniture\Sofa1\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos1_Sofa1_03_VB]
filename = Layout1\Pos1\Furniture\Sofa1\03.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_Sofa1_03_IB]
filename = Layout1\Pos1\Furniture\Sofa1\03.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT


;- Layout1 Pos2
;-リソース設定
[CommandList_LogHouse_Layout1_Pos2_Sofa1_Resource]
Resource_LogHouse_Sofa_01_VB = ref Resource_LogHouse_Layout1_Pos2_Sofa1_01_VB
Resource_LogHouse_Sofa_01_IB = ref Resource_LogHouse_Layout1_Pos2_Sofa1_01_IB
Resource_LogHouse_Sofa_02_VB = ref Resource_LogHouse_Layout1_Pos2_Sofa1_02_VB
Resource_LogHouse_Sofa_02_IB = ref Resource_LogHouse_Layout1_Pos2_Sofa1_02_IB
Resource_LogHouse_Sofa_03_VB = ref Resource_LogHouse_Layout1_Pos2_Sofa1_03_VB
Resource_LogHouse_Sofa_03_IB = ref Resource_LogHouse_Layout1_Pos2_Sofa1_03_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos2_Sofa1_01_VB]
filename = Layout1\Pos2\Furniture\Sofa1\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_Sofa1_01_IB]
filename = Layout1\Pos2\Furniture\Sofa1\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos2_Sofa1_02_VB]
filename = Layout1\Pos2\Furniture\Sofa1\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_Sofa1_02_IB]
filename = Layout1\Pos2\Furniture\Sofa1\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos2_Sofa1_03_VB]
filename = Layout1\Pos2\Furniture\Sofa1\03.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_Sofa1_03_IB]
filename = Layout1\Pos2\Furniture\Sofa1\03.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT


;- Layout1 Pos3
;-リソース設定
[CommandList_LogHouse_Layout1_Pos3_Sofa1_Resource]
Resource_LogHouse_Sofa_01_VB = ref Resource_LogHouse_Layout1_Pos3_Sofa1_01_VB
Resource_LogHouse_Sofa_01_IB = ref Resource_LogHouse_Layout1_Pos3_Sofa1_01_IB
Resource_LogHouse_Sofa_02_VB = ref Resource_LogHouse_Layout1_Pos3_Sofa1_02_VB
Resource_LogHouse_Sofa_02_IB = ref Resource_LogHouse_Layout1_Pos3_Sofa1_02_IB
Resource_LogHouse_Sofa_03_VB = ref Resource_LogHouse_Layout1_Pos3_Sofa1_03_VB
Resource_LogHouse_Sofa_03_IB = ref Resource_LogHouse_Layout1_Pos3_Sofa1_03_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos3_Sofa1_01_VB]
filename = Layout1\Pos3\Furniture\Sofa1\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_Sofa1_01_IB]
filename = Layout1\Pos3\Furniture\Sofa1\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos3_Sofa1_02_VB]
filename = Layout1\Pos3\Furniture\Sofa1\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_Sofa1_02_IB]
filename = Layout1\Pos3\Furniture\Sofa1\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos3_Sofa1_03_VB]
filename = Layout1\Pos3\Furniture\Sofa1\03.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_Sofa1_03_IB]
filename = Layout1\Pos3\Furniture\Sofa1\03.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT


;- Layout1 Pos4
;-リソース設定
[CommandList_LogHouse_Layout1_Pos4_Sofa1_Resource]
Resource_LogHouse_Sofa_01_VB = ref Resource_LogHouse_Layout1_Pos4_Sofa1_01_VB
Resource_LogHouse_Sofa_01_IB = ref Resource_LogHouse_Layout1_Pos4_Sofa1_01_IB
Resource_LogHouse_Sofa_02_VB = ref Resource_LogHouse_Layout1_Pos4_Sofa1_02_VB
Resource_LogHouse_Sofa_02_IB = ref Resource_LogHouse_Layout1_Pos4_Sofa1_02_IB
Resource_LogHouse_Sofa_03_VB = ref Resource_LogHouse_Layout1_Pos4_Sofa1_03_VB
Resource_LogHouse_Sofa_03_IB = ref Resource_LogHouse_Layout1_Pos4_Sofa1_03_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos4_Sofa1_01_VB]
filename = Layout1\Pos4\Furniture\Sofa1\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos4_Sofa1_01_IB]
filename = Layout1\Pos4\Furniture\Sofa1\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos4_Sofa1_02_VB]
filename = Layout1\Pos4\Furniture\Sofa1\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos4_Sofa1_02_IB]
filename = Layout1\Pos4\Furniture\Sofa1\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos4_Sofa1_03_VB]
filename = Layout1\Pos4\Furniture\Sofa1\03.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos4_Sofa1_03_IB]
filename = Layout1\Pos4\Furniture\Sofa1\03.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT


;描画
[CommandList_LogHouse_Draw_Sofa1]
if $LogHouse_LayoutType == $c_LayoutType_OnFloor
	if $LogHouse_OnFloorPosition == 1
		run = CommandList_LogHouse_Layout1_Pos1_Sofa1_Resource
	elif $LogHouse_OnFloorPosition == 2
		run = CommandList_LogHouse_Layout1_Pos2_Sofa1_Resource
	elif $LogHouse_OnFloorPosition == 3
		run = CommandList_LogHouse_Layout1_Pos3_Sofa1_Resource
	elif $LogHouse_OnFloorPosition == 4
		run = CommandList_LogHouse_Layout1_Pos4_Sofa1_Resource
	endif
endif

ps-t0 = ref Resource_LogHouse_Wood_Mokume9_Tex0
ps-t1 = ref Resource_LogHouse_Wood_Mokume9_Tex1
ps-cb2 = ref Resource_LogHouse_Wood_Mokume1_pscb2
;ps-cb2 = ref Resource_pscb2
vb0 = ref Resource_LogHouse_Sofa_01_VB
ib = ref Resource_LogHouse_Sofa_01_IB
run = CommandList_LogHouse_Draw

run = CommandList_LogHouse_SofaFabric_Tex
vb0 = ref Resource_LogHouse_Sofa_02_VB
ib = ref Resource_LogHouse_Sofa_02_IB
run = CommandList_LogHouse_Draw

ps-t0 = ref Resource_LogHouse_Wood_Mokume1_Tex0
ps-t1 = ref Resource_LogHouse_Wood_Mokume1_Tex1
ps-cb2 = ref Resource_LogHouse_Wood_Mokume1_pscb2
vb0 = ref Resource_LogHouse_Sofa_03_VB
ib = ref Resource_LogHouse_Sofa_03_IB
run = CommandList_LogHouse_Draw




;テーブル/テーブルセットセット
;-リソース宣言
[Resource_LogHouse_TableSet_01_VB]
[Resource_LogHouse_TableSet_01_IB]
[Resource_LogHouse_TableSet_02_VB]
[Resource_LogHouse_TableSet_02_IB]

;-リソースクリア
[CommandList_LogHouse_Reset_TableSet]
Resource_LogHouse_TableSet_01_VB = null
Resource_LogHouse_TableSet_01_IB = null
Resource_LogHouse_TableSet_02_VB = null
Resource_LogHouse_TableSet_02_IB = null

;-描画
[CommandList_LogHouse_Draw_TableSet]
ps-cb2 = ref Resource_pscb2
run = CommandList_LogHouse_Reset_TableSet
run = CommandList_LogHouse_Draw_TableSet1

run = CommandList_LogHouse_Reset_TableSet
run = CommandList_LogHouse_Draw_TableSet2

run = CommandList_LogHouse_Reset_TableSet
run = CommandList_LogHouse_Draw_Table1


;!TableSet1
;- Layout1 Pos1
;-リソース設定
[CommandList_LogHouse_Layout1_Pos1_TableSet1_Resource]
Resource_LogHouse_TableSet_01_VB = ref Resource_LogHouse_Layout1_Pos1_TableSet1_01_VB
Resource_LogHouse_TableSet_01_IB = ref Resource_LogHouse_Layout1_Pos1_TableSet1_01_IB
Resource_LogHouse_TableSet_02_VB = ref Resource_LogHouse_Layout1_Pos1_TableSet1_02_VB
Resource_LogHouse_TableSet_02_IB = ref Resource_LogHouse_Layout1_Pos1_TableSet1_02_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos1_TableSet1_01_VB]
filename = Layout1\Pos1\Furniture\TableSet1\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_TableSet1_01_IB]
filename = Layout1\Pos1\Furniture\TableSet1\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos1_TableSet1_02_VB]
filename = Layout1\Pos1\Furniture\TableSet1\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_TableSet1_02_IB]
filename = Layout1\Pos1\Furniture\TableSet1\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT


;- Layout1 Pos2
;-リソース設定
[CommandList_LogHouse_Layout1_Pos2_TableSet1_Resource]
Resource_LogHouse_TableSet_01_VB = ref Resource_LogHouse_Layout1_Pos2_TableSet1_01_VB
Resource_LogHouse_TableSet_01_IB = ref Resource_LogHouse_Layout1_Pos2_TableSet1_01_IB
Resource_LogHouse_TableSet_02_VB = ref Resource_LogHouse_Layout1_Pos2_TableSet1_02_VB
Resource_LogHouse_TableSet_02_IB = ref Resource_LogHouse_Layout1_Pos2_TableSet1_02_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos2_TableSet1_01_VB]
filename = Layout1\Pos2\Furniture\TableSet1\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_TableSet1_01_IB]
filename = Layout1\Pos2\Furniture\TableSet1\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos2_TableSet1_02_VB]
filename = Layout1\Pos2\Furniture\TableSet1\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_TableSet1_02_IB]
filename = Layout1\Pos2\Furniture\TableSet1\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT


;- Layout1 Pos3
;-リソース設定
[CommandList_LogHouse_Layout1_Pos3_TableSet1_Resource]
Resource_LogHouse_TableSet_01_VB = ref Resource_LogHouse_Layout1_Pos3_TableSet1_01_VB
Resource_LogHouse_TableSet_01_IB = ref Resource_LogHouse_Layout1_Pos3_TableSet1_01_IB
Resource_LogHouse_TableSet_02_VB = ref Resource_LogHouse_Layout1_Pos3_TableSet1_02_VB
Resource_LogHouse_TableSet_02_IB = ref Resource_LogHouse_Layout1_Pos3_TableSet1_02_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos3_TableSet1_01_VB]
filename = Layout1\Pos3\Furniture\TableSet1\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_TableSet1_01_IB]
filename = Layout1\Pos3\Furniture\TableSet1\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos3_TableSet1_02_VB]
filename = Layout1\Pos3\Furniture\TableSet1\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_TableSet1_02_IB]
filename = Layout1\Pos3\Furniture\TableSet1\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT


;- Layout1 Pos4
;-リソース設定
[CommandList_LogHouse_Layout1_Pos4_TableSet1_Resource]
Resource_LogHouse_TableSet_01_VB = ref Resource_LogHouse_Layout1_Pos4_TableSet1_01_VB
Resource_LogHouse_TableSet_01_IB = ref Resource_LogHouse_Layout1_Pos4_TableSet1_01_IB
Resource_LogHouse_TableSet_02_VB = ref Resource_LogHouse_Layout1_Pos4_TableSet1_02_VB
Resource_LogHouse_TableSet_02_IB = ref Resource_LogHouse_Layout1_Pos4_TableSet1_02_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos4_TableSet1_01_VB]
filename = Layout1\Pos4\Furniture\TableSet1\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos4_TableSet1_01_IB]
filename = Layout1\Pos4\Furniture\TableSet1\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos4_TableSet1_02_VB]
filename = Layout1\Pos4\Furniture\TableSet1\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos4_TableSet1_02_IB]
filename = Layout1\Pos4\Furniture\TableSet1\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT


;描画
[CommandList_LogHouse_Draw_TableSet1]
if $LogHouse_LayoutType == $c_LayoutType_OnFloor
	if $LogHouse_OnFloorPosition == 1
		run = CommandList_LogHouse_Layout1_Pos1_TableSet1_Resource
	elif $LogHouse_OnFloorPosition == 2
		run = CommandList_LogHouse_Layout1_Pos2_TableSet1_Resource
	elif $LogHouse_OnFloorPosition == 3
		run = CommandList_LogHouse_Layout1_Pos3_TableSet1_Resource
	elif $LogHouse_OnFloorPosition == 4
		run = CommandList_LogHouse_Layout1_Pos4_TableSet1_Resource
	endif
endif

ps-t0 = ref Resource_LogHouse_Wood_Mokume8_Tex0
ps-t1 = ref Resource_LogHouse_Wood_Mokume8_Tex1
ps-cb2 = ref Resource_LogHouse_Wood_Mokume1_pscb2
;ps-cb2 = ref Resource_pscb2
vb0 = ref Resource_LogHouse_TableSet_01_VB
ib = ref Resource_LogHouse_TableSet_01_IB
run = CommandList_LogHouse_Draw

ps-t0 = ref Resource_LogHouse_Cloth_Cushion_Tex0
ps-t1 = ref Resource_LogHouse_Cloth_Cushion_Tex1
ps-cb2 = ref Resource_LogHouse_Cloth_Cushion_pscb2
vb0 = ref Resource_LogHouse_TableSet_02_VB
ib = ref Resource_LogHouse_TableSet_02_IB
run = CommandList_LogHouse_Draw


;!TableSet2
;- Layout1 Pos1
;-リソース設定
[CommandList_LogHouse_Layout1_Pos1_TableSet2_Resource]
Resource_LogHouse_TableSet_01_VB = ref Resource_LogHouse_Layout1_Pos1_TableSet2_01_VB
Resource_LogHouse_TableSet_01_IB = ref Resource_LogHouse_Layout1_Pos1_TableSet2_01_IB
Resource_LogHouse_TableSet_02_VB = ref Resource_LogHouse_Layout1_Pos1_TableSet2_02_VB
Resource_LogHouse_TableSet_02_IB = ref Resource_LogHouse_Layout1_Pos1_TableSet2_02_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos1_TableSet2_01_VB]
filename = Layout1\Pos1\Furniture\TableSet2\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_TableSet2_01_IB]
filename = Layout1\Pos1\Furniture\TableSet2\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos1_TableSet2_02_VB]
filename = Layout1\Pos1\Furniture\TableSet2\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_TableSet2_02_IB]
filename = Layout1\Pos1\Furniture\TableSet2\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT


;- Layout1 Pos2
;-リソース設定
[CommandList_LogHouse_Layout1_Pos2_TableSet2_Resource]
Resource_LogHouse_TableSet_01_VB = ref Resource_LogHouse_Layout1_Pos2_TableSet2_01_VB
Resource_LogHouse_TableSet_01_IB = ref Resource_LogHouse_Layout1_Pos2_TableSet2_01_IB
Resource_LogHouse_TableSet_02_VB = ref Resource_LogHouse_Layout1_Pos2_TableSet2_02_VB
Resource_LogHouse_TableSet_02_IB = ref Resource_LogHouse_Layout1_Pos2_TableSet2_02_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos2_TableSet2_01_VB]
filename = Layout1\Pos2\Furniture\TableSet2\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_TableSet2_01_IB]
filename = Layout1\Pos2\Furniture\TableSet2\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos2_TableSet2_02_VB]
filename = Layout1\Pos2\Furniture\TableSet2\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_TableSet2_02_IB]
filename = Layout1\Pos2\Furniture\TableSet2\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT


;- Layout1 Pos3
;-リソース設定
[CommandList_LogHouse_Layout1_Pos3_TableSet2_Resource]
Resource_LogHouse_TableSet_01_VB = ref Resource_LogHouse_Layout1_Pos3_TableSet2_01_VB
Resource_LogHouse_TableSet_01_IB = ref Resource_LogHouse_Layout1_Pos3_TableSet2_01_IB
Resource_LogHouse_TableSet_02_VB = ref Resource_LogHouse_Layout1_Pos3_TableSet2_02_VB
Resource_LogHouse_TableSet_02_IB = ref Resource_LogHouse_Layout1_Pos3_TableSet2_02_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos3_TableSet2_01_VB]
filename = Layout1\Pos3\Furniture\TableSet2\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_TableSet2_01_IB]
filename = Layout1\Pos3\Furniture\TableSet2\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos3_TableSet2_02_VB]
filename = Layout1\Pos3\Furniture\TableSet2\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_TableSet2_02_IB]
filename = Layout1\Pos3\Furniture\TableSet2\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT


;- Layout1 Pos4
;-リソース設定
[CommandList_LogHouse_Layout1_Pos4_TableSet2_Resource]
Resource_LogHouse_TableSet_01_VB = ref Resource_LogHouse_Layout1_Pos4_TableSet2_01_VB
Resource_LogHouse_TableSet_01_IB = ref Resource_LogHouse_Layout1_Pos4_TableSet2_01_IB
Resource_LogHouse_TableSet_02_VB = ref Resource_LogHouse_Layout1_Pos4_TableSet2_02_VB
Resource_LogHouse_TableSet_02_IB = ref Resource_LogHouse_Layout1_Pos4_TableSet2_02_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos4_TableSet2_01_VB]
filename = Layout1\Pos4\Furniture\TableSet2\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos4_TableSet2_01_IB]
filename = Layout1\Pos4\Furniture\TableSet2\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos4_TableSet2_02_VB]
filename = Layout1\Pos4\Furniture\TableSet2\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos4_TableSet2_02_IB]
filename = Layout1\Pos4\Furniture\TableSet2\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT


;描画
[CommandList_LogHouse_Draw_TableSet2]
if $LogHouse_LayoutType == $c_LayoutType_OnFloor
	if $LogHouse_OnFloorPosition == 1
		run = CommandList_LogHouse_Layout1_Pos1_TableSet2_Resource
	elif $LogHouse_OnFloorPosition == 2
		run = CommandList_LogHouse_Layout1_Pos2_TableSet2_Resource
	elif $LogHouse_OnFloorPosition == 3
		run = CommandList_LogHouse_Layout1_Pos3_TableSet2_Resource
	elif $LogHouse_OnFloorPosition == 4
		run = CommandList_LogHouse_Layout1_Pos4_TableSet2_Resource
	endif
endif

ps-t0 = ref Resource_LogHouse_Wood_Mokume8V_Tex0
ps-t1 = ref Resource_LogHouse_Wood_Mokume8V_Tex1
ps-cb2 = ref Resource_LogHouse_Wood_Mokume1_pscb2
vb0 = ref Resource_LogHouse_TableSet_01_VB
ib = ref Resource_LogHouse_TableSet_01_IB
run = CommandList_LogHouse_Draw

ps-t0 = ref Resource_LogHouse_Cloth_Chair1_Tex0
ps-t1 = ref Resource_LogHouse_Cloth_Chair1_Tex1
ps-cb2 = ref Resource_LogHouse_Cloth_pscb2
vb0 = ref Resource_LogHouse_TableSet_02_VB
ib = ref Resource_LogHouse_TableSet_02_IB
run = CommandList_LogHouse_Draw


;!Table1 単体
;- Layout1 Pos1
;-リソース設定
[CommandList_LogHouse_Layout1_Pos1_Table1_Resource]
Resource_LogHouse_TableSet_01_VB = ref Resource_LogHouse_Layout1_Pos1_Table1_01_VB
Resource_LogHouse_TableSet_01_IB = ref Resource_LogHouse_Layout1_Pos1_Table1_01_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos1_Table1_01_VB]
filename = Layout1\Pos1\Furniture\Table1\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_Table1_01_IB]
filename = Layout1\Pos1\Furniture\Table1\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT


;- Layout1 Pos2
;-リソース設定
[CommandList_LogHouse_Layout1_Pos2_Table1_Resource]
Resource_LogHouse_TableSet_01_VB = ref Resource_LogHouse_Layout1_Pos2_Table1_01_VB
Resource_LogHouse_TableSet_01_IB = ref Resource_LogHouse_Layout1_Pos2_Table1_01_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos2_Table1_01_VB]
filename = Layout1\Pos2\Furniture\Table1\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_Table1_01_IB]
filename = Layout1\Pos2\Furniture\Table1\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT


;- Layout1 Pos3
;-リソース設定
[CommandList_LogHouse_Layout1_Pos3_Table1_Resource]
Resource_LogHouse_TableSet_01_VB = ref Resource_LogHouse_Layout1_Pos3_Table1_01_VB
Resource_LogHouse_TableSet_01_IB = ref Resource_LogHouse_Layout1_Pos3_Table1_01_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos3_Table1_01_VB]
filename = Layout1\Pos3\Furniture\Table1\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_Table1_01_IB]
filename = Layout1\Pos3\Furniture\Table1\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT


;- Layout1 Pos4
;-リソース設定
[CommandList_LogHouse_Layout1_Pos4_Table1_Resource]
Resource_LogHouse_TableSet_01_VB = ref Resource_LogHouse_Layout1_Pos4_Table1_01_VB
Resource_LogHouse_TableSet_01_IB = ref Resource_LogHouse_Layout1_Pos4_Table1_01_IB

;-リソース定義
[Resource_LogHouse_Layout1_Pos4_Table1_01_VB]
filename = Layout1\Pos4\Furniture\Table1\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos4_Table1_01_IB]
filename = Layout1\Pos4\Furniture\Table1\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT


;描画
[CommandList_LogHouse_Draw_Table1]
if $LogHouse_LayoutType == $c_LayoutType_OnFloor
	if $LogHouse_OnFloorPosition == 1
		run = CommandList_LogHouse_Layout1_Pos1_Table1_Resource
	elif $LogHouse_OnFloorPosition == 2
		run = CommandList_LogHouse_Layout1_Pos2_Table1_Resource
	elif $LogHouse_OnFloorPosition == 3
		run = CommandList_LogHouse_Layout1_Pos3_Table1_Resource
	elif $LogHouse_OnFloorPosition == 4
		run = CommandList_LogHouse_Layout1_Pos4_Table1_Resource
	endif
endif

ps-t0 = ref Resource_LogHouse_Wood_Mokume8_Tex0
ps-t1 = ref Resource_LogHouse_Wood_Mokume8_Tex1
ps-cb2 = ref Resource_LogHouse_Wood_Mokume1_pscb2
vb0 = ref Resource_LogHouse_TableSet_01_VB
ib = ref Resource_LogHouse_TableSet_01_IB
run = CommandList_LogHouse_Draw








;テスト
;-リソース宣言
[Resource_LogHouse_FurnitureTest_01_VB]
[Resource_LogHouse_FurnitureTest_01_IB]
[Resource_LogHouse_FurnitureTest_02_VB]
[Resource_LogHouse_FurnitureTest_02_IB]
[Resource_LogHouse_FurnitureTest_03_VB]
[Resource_LogHouse_FurnitureTest_03_IB]
[Resource_LogHouse_FurnitureTest_04_VB]
[Resource_LogHouse_FurnitureTest_04_IB]

;-リソースクリア
[CommandList_LogHouse_Reset_FurnitureTest]
Resource_LogHouse_FurnitureTest_01_VB = null
Resource_LogHouse_FurnitureTest_01_IB = null
Resource_LogHouse_FurnitureTest_02_VB = null
Resource_LogHouse_FurnitureTest_02_IB = null

;-描画
[CommandList_LogHouse_Draw_FurnitureTest]
ps-cb2 = ref Resource_pscb2
run = CommandList_LogHouse_Reset_FurnitureTest
run = CommandList_LogHouse_Layout1_Pos3_FurnitureTest1_Resource
run = CommandList_LogHouse_Draw_FurnitureTest1


;!椅子1(ロッキングチェア)
;-リソース設定
[CommandList_LogHouse_Layout1_Pos3_FurnitureTest1_Resource]
;Resource_LogHouse_FurnitureTest_01_VB = ref Resource_LogHouse_Layout1_Pos3_FurnitureTest1_01_VB
;Resource_LogHouse_FurnitureTest_01_IB = ref Resource_LogHouse_Layout1_Pos3_FurnitureTest1_01_IB
;Resource_LogHouse_FurnitureTest_02_VB = ref Resource_LogHouse_Layout1_Pos3_FurnitureTest1_02_VB
;Resource_LogHouse_FurnitureTest_02_IB = ref Resource_LogHouse_Layout1_Pos3_FurnitureTest1_02_IB
;Resource_LogHouse_FurnitureTest_03_VB = ref Resource_LogHouse_Layout1_Pos3_FurnitureTest1_03_VB
;Resource_LogHouse_FurnitureTest_03_IB = ref Resource_LogHouse_Layout1_Pos3_FurnitureTest1_03_IB
;Resource_LogHouse_FurnitureTest_04_VB = ref Resource_LogHouse_Layout1_Pos3_FurnitureTest1_04_VB
;Resource_LogHouse_FurnitureTest_04_IB = ref Resource_LogHouse_Layout1_Pos3_FurnitureTest1_04_IB

;-リソース定義
;;-花瓶とユリ
;[Resource_LogHouse_Layout1_Pos3_FurnitureTest1_01_VB]
;filename = Layout1\Pos3\Furniture\Test\01.vb
;type = Buffer
;stride = 40
;[Resource_LogHouse_Layout1_Pos3_FurnitureTest1_01_IB]
;filename = Layout1\Pos3\Furniture\Test\01.ib
;type = Buffer
;format = DXGI_FORMAT_R16_UINT
;[Resource_LogHouse_Layout1_Pos3_FurnitureTest1_02_VB]
;filename = Layout1\Pos3\Furniture\Test\02.vb
;type = Buffer
;stride = 40
;[Resource_LogHouse_Layout1_Pos3_FurnitureTest1_02_IB]
;filename = Layout1\Pos3\Furniture\Test\02.ib
;type = Buffer
;format = DXGI_FORMAT_R16_UINT
;[Resource_LogHouse_Layout1_Pos3_FurnitureTest1_03_VB]
;filename = Layout1\Pos3\Furniture\Test\03.vb
;type = Buffer
;stride = 40
;[Resource_LogHouse_Layout1_Pos3_FurnitureTest1_03_IB]
;filename = Layout1\Pos3\Furniture\Test\03.ib
;type = Buffer
;format = DXGI_FORMAT_R16_UINT
;[Resource_LogHouse_Layout1_Pos3_FurnitureTest1_04_VB]
;filename = Layout1\Pos3\Furniture\Test\04.vb
;type = Buffer
;stride = 40
;[Resource_LogHouse_Layout1_Pos3_FurnitureTest1_04_IB]
;filename = Layout1\Pos3\Furniture\Test\04.ib
;type = Buffer
;format = DXGI_FORMAT_R16_UINT

;-描画
[CommandList_LogHouse_Draw_FurnitureTest1]
;;-花瓶とユリ
;ps-t0 = ref Resource_LogHouse_Other_WhiteGray_Tex0
;ps-t1 = ref Resource_LogHouse_Default_Tex1
;ps-cb2 = ref Resource_pscb2
;vb0 = ref Resource_LogHouse_FurnitureTest_01_VB
;ib = ref Resource_LogHouse_FurnitureTest_01_IB
;run = CommandList_LogHouse_Draw

;ps-t0 = ref Resource_LogHouse_Plants_Lily_Tex0
;ps-t1 = ref Resource_LogHouse_Plants_Lily_Tex1
;;ps-cb2 = ref Resource_LogHouse_Plants_Lily_pscb2
;vb0 = ref Resource_LogHouse_FurnitureTest_02_VB
;ib = ref Resource_LogHouse_FurnitureTest_02_IB
;run = CommandList_LogHouse_Draw

;ps-t0 = ref Resource_LogHouse_Plants_Lily_Kashin_Tex0
;ps-t1 = ref Resource_LogHouse_Plants_Lily_Kashin_Tex1
;;ps-cb2 = ref Resource_LogHouse_Plants_Lily_Kashin_pscb2
;vb0 = ref Resource_LogHouse_FurnitureTest_03_VB
;ib = ref Resource_LogHouse_FurnitureTest_03_IB
;run = CommandList_LogHouse_Draw

;ps-t0 = ref Resource_LogHouse_Plants_Leaf_Tex0
;ps-t1 = ref Resource_LogHouse_Plants_Leaf_Tex1
;;ps-cb2 = ref Resource_LogHouse_Plants_Leaf_pscb2
;vb0 = ref Resource_LogHouse_FurnitureTest_04_VB
;ib = ref Resource_LogHouse_FurnitureTest_04_IB
;run = CommandList_LogHouse_Draw






;-ソファー・ファブリックのテクスチャーをセット
[CommandList_LogHouse_SofaFabric_Tex]
ps-t0 = ref Resource_LogHouse_Cloth_Cloth01_Green_Tex0
ps-t1 = ref Resource_LogHouse_Cloth_Cloth01_Tex1
ps-cb2 = ref Resource_LogHouse_Cloth_pscb2

